<app-breadcrumb-admin [single]="false" titlePage="Editar Categoria" backPage="Categorias" url="categories"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3 class="text-capitalize"><fa-icon [icon]="faEdit"></fa-icon> Editar Categoria</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <label for="name"  class="label-flags">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Nombre</span>
          </label>
          <input type="text" name="name" id="name" placeholder="Nombre" class="form-control" [(ngModel)]="category.name.es" required *ngIf="serviceTranslation.getLang() == 'es'">
          <input type="text" name="name" placeholder="Nombre" class="form-control" [(ngModel)]="category.name.en" required *ngIf="serviceTranslation.getLang() == 'en'">
          <label for="description"  class="label-flags">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Descripción</span>
          </label>
          <ckeditor [editor]="Editor" name="description" id="description"  [(ngModel)]="category.content.es" [data]="category.content.es" *ngIf="serviceTranslation.getLang() == 'es'"></ckeditor>
          <ckeditor [editor]="Editor" name="description"  [(ngModel)]="category.content.en" [data]="category.content.en" *ngIf="serviceTranslation.getLang() == 'en'"></ckeditor>
          <div class="position-relative form-group">

            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="category._id | image: 'categories'" [alt]="category.image" class="img-fluid cursor" (click)="file.click()" *ngIf="imageInit" (error)="replaceImage(image)" #image>
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-primary mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
          </div>
          <div class="row mb-3">
            <div class="col-12">
              <div class="row">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3"  *ngFor="let image of images; let i=index">
                  <img [src]="image | imageGallery: category._id: 'categories'" class="img-fluid" [alt]="image">
                  <a class="text-danger ml-2" (click)="deleteImageGallery(image)" style="cursor: pointer;">
                    <fa-icon [icon]="faTrashAlt"></fa-icon>
                  </a>
                </div>
              </div>
            </div>
          </div>
          <ngx-dropzone (change)="onSelect($event)">
            <ngx-dropzone-label>Arrastra tus Images</ngx-dropzone-label>
            <ngx-dropzone-image-preview ngProjectAs="ngx-dropzone-preview" *ngFor="let f of files" [file]="f" [removable]="true" (removed)="onRemove(f)">
              <ngx-dropzone-label>{{ f.name }} ({{ f.type }})</ngx-dropzone-label>
            </ngx-dropzone-image-preview>
          </ngx-dropzone>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>


